

- bio_release_pages() should have file-local scope.

- don't use spaces in slab names in device mapper, enforce this henceforth
  in kmem_cache_create().

- Fix alpha header leftover from cpumask_t conversion


 drivers/md/dm.c         |    2 +-
 fs/bio.c                |    2 +-
 include/asm-alpha/smp.h |    2 +-
 mm/slab.c               |    1 +
 4 files changed, 4 insertions(+), 3 deletions(-)

diff -puN fs/bio.c~misc36 fs/bio.c
--- 25-power4/fs/bio.c~misc36	2003-09-21 22:47:49.000000000 -0700
+++ 25-power4-akpm/fs/bio.c	2003-09-21 22:47:49.000000000 -0700
@@ -564,7 +564,7 @@ void bio_set_pages_dirty(struct bio *bio
 	}
 }
 
-void bio_release_pages(struct bio *bio)
+static void bio_release_pages(struct bio *bio)
 {
 	struct bio_vec *bvec = bio->bi_io_vec;
 	int i;
diff -puN drivers/md/dm.c~misc36 drivers/md/dm.c
--- 25-power4/drivers/md/dm.c~misc36	2003-09-21 22:47:49.000000000 -0700
+++ 25-power4-akpm/drivers/md/dm.c	2003-09-21 22:47:49.000000000 -0700
@@ -79,7 +79,7 @@ static __init int local_init(void)
 	int r;
 
 	/* allocate a slab for the dm_ios */
-	_io_cache = kmem_cache_create("dm io",
+	_io_cache = kmem_cache_create("dm_io",
 				      sizeof(struct dm_io), 0, 0, NULL, NULL);
 	if (!_io_cache)
 		return -ENOMEM;
diff -puN mm/slab.c~misc36 mm/slab.c
--- 25-power4/mm/slab.c~misc36	2003-09-21 22:47:49.000000000 -0700
+++ 25-power4-akpm/mm/slab.c	2003-09-21 23:21:41.000000000 -0700
@@ -1043,6 +1043,7 @@ kmem_cache_create (const char *name, siz
 			BUG();
 
 #if DEBUG
+	BUG_ON(strchr(name, ' '));	/* It confuses parsers */
 	if ((flags & SLAB_DEBUG_INITIAL) && !ctor) {
 		/* No constructor, but inital state check requested */
 		printk("%sNo con, but init state check requested - %s\n", func_nm, name);
diff -puN include/asm-alpha/smp.h~misc36 include/asm-alpha/smp.h
--- 25-power4/include/asm-alpha/smp.h~misc36	2003-09-21 23:21:54.000000000 -0700
+++ 25-power4-akpm/include/asm-alpha/smp.h	2003-09-21 23:21:59.000000000 -0700
@@ -46,7 +46,7 @@ extern struct cpuinfo_alpha cpu_data[NR_
 #define smp_processor_id()	(current_thread_info()->cpu)
 
 extern cpumask_t cpu_present_mask;
-extern cpumask_t long cpu_online_map;
+extern cpumask_t cpu_online_map;
 extern int smp_num_cpus;
 
 #define cpu_possible(cpu)	cpu_isset(cpu, cpu_present_mask)

_
